## org.gnu.gtk
Class CellRendererPixbuf

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.CellRenderer
                      org.gnu.gtk.CellRendererPixbuf

public class CellRendererPixbuf
extends CellRenderer

A `CellRenderer` for pixbufs.

Nested Class Summary
`static class` `CellRendererPixbuf.Attribute` Attributes for the CellRenderer

Constructor Summary
`CellRendererPixbuf()` Creates a new CellRendererPixbuf

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setPixbuf(Pixbuf pixbuf)`
`void` `setPixbufExpanderOpen(Pixbuf pixbuf)`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererPixbuf

    public CellRendererPixbuf()

  Creates a new CellRendererPixbuf

Method Detail

### setPixbuf

    public void setPixbuf(Pixbuf pixbuf)

### setPixbufExpanderOpen

    public void setPixbufExpanderOpen(Pixbuf pixbuf)

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.